0

Install eclipse plugin Juno

asked 2012-05-29 14:02:32 +0800

sicci gravatar image sicci
6 1 1 1

Hi,

i'm tring to install the Zkoss plugin for eclipse. I downloaded Eclipse IDE for Java EE Developers version. The last release, named Juno.

I tried to install the Zkoss plugin going on Help >> Install New Software and adding the site http://studio.zkoss.org/resource/plugins/eclipse_3_7.

It found the plugin I was looking for (ZK Studio 1.0.2) but when i go ahead it stops and report and error:

Cannot complete the install because one or more required items could not be found.
  Software being installed: ZK Studio 1.0.2.v201203141244 (org.zkoss.eclipse.feature.group 1.0.2.v201203141244)
  Missing requirement: ZK Studio Services Plug-in 1.0.2.v201203141244 (org.zkoss.eclipse.services 1.0.2.v201203141244) requires 'bundle org.eclipse.update.ui 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: ZK Studio ZUL Editor Plug-in 1.0.2.v201203141244 (org.zkoss.eclipse.editor 1.0.2.v201203141244)
    To: bundle org.zkoss.eclipse.services 0.0.0
  Cannot satisfy dependency:
    From: ZK Studio 1.0.2.v201203141244 (org.zkoss.eclipse.feature.group 1.0.2.v201203141244)
    To: org.zkoss.eclipse.editor [1.0.2.v201203141244]

Did i made some mistakes? What should i do?

delete flag offensive retag edit

16 Replies

Sort by ยป oldest newest

answered 2012-05-29 14:25:16 +0800

sicci gravatar image sicci
6 1 1 1

Ok i've done it.

Using the Marketplace it woks.

link publish delete flag offensive edit

answered 2012-07-27 12:21:43 +0800

riczun gravatar image riczun
36 2
www.riczun.nl

I am getting the same error, also when i try to install from the marketplace.

link publish delete flag offensive edit

answered 2012-07-28 15:45:11 +0800

testerman2001 gravatar image testerman2001
6

I too have same issue.

link publish delete flag offensive edit

answered 2012-07-29 16:54:40 +0800

czynga gravatar image czynga
171

Same problem here! Both on Marketplace and via "Install New Software". Any solutions yet?

link publish delete flag offensive edit

answered 2012-07-30 03:27:21 +0800

dennis gravatar image dennis
3669 1 6
http://www.javaworld.com....

I post a new feature http://tracker.zkoss.org/browse/ZKSTUDIO-27, we will investigate the problem in new eclipse first.

link publish delete flag offensive edit

answered 2012-08-02 06:41:52 +0800

etedeschini gravatar image etedeschini
6 1

The problem is present in case of installation under MAC OSx 64bit platform but not under Windows 7 32bit platform.
Probably this information will help you.

link publish delete flag offensive edit

answered 2012-08-02 10:44:14 +0800

czynga gravatar image czynga
171

Windows 7 64-bit here and I am not able to install ZK Studio

link publish delete flag offensive edit
link publish delete flag offensive edit

answered 2012-08-07 10:14:11 +0800

gganassin gravatar image gganassin flag of Luxembourg
540 6
http://www.hybris.com/

updated 2012-08-07 13:47:22 +0800

Juno fully updated and with all the EMF dependencies installed over OSX ---> not working still

Cannot complete the install because one or more required items could not be found.
  Software being installed: ZK Studio 1.0.2.v201203141244 (org.zkoss.eclipse.feature.group 1.0.2.v201203141244)
  Missing requirement: ZK Studio Services Plug-in 1.0.2.v201203141244 (org.zkoss.eclipse.services 1.0.2.v201203141244) requires 'bundle org.eclipse.update.ui 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: ZK Studio 1.0.2.v201203141244 (org.zkoss.eclipse.feature.group 1.0.2.v201203141244)
    To: org.zkoss.eclipse.style [1.0.2.v201203141244]
  Cannot satisfy dependency:
    From: ZK Studio Component Style Designer Plug-in 1.0.2.v201203141244 (org.zkoss.eclipse.style 1.0.2.v201203141244)
    To: bundle org.zkoss.eclipse.services 0.0.0

link publish delete flag offensive edit

answered 2012-08-07 14:00:08 +0800

gganassin gravatar image gganassin flag of Luxembourg
540 6
http://www.hybris.com/

After a couple of hours of struggling we realized that those 2 jars are missing (no matter if EMF was or not installed already):

org.eclipse.update.core_3.2.600.v20120530-1204.jar
org.eclipse.update.ui_3.2.300.v20100512.jar

And only that one was present

org.eclipse.update.configurator_3.3.200.v20120523-1752.jar

After a restart of the IDE... ZK studio installation was smooth as always. That workaround worked fine both under Windows7 and OSX.

link publish delete flag offensive edit
Your reply
Please start posting your answer anonymously - your answer will be saved within the current session and published after you log in or create a new account. Please try to give a substantial answer, for discussions, please use comments and please do remember to vote (after you log in)!

[hide preview]

Question tools

Follow
3 followers

RSS

Stats

Asked: 2012-05-29 14:02:32 +0800

Seen: 7,538 times

Last updated: Oct 12 '12

Support Options
  • Email Support
  • Training
  • Consulting
  • Outsourcing
Learn More